Name:           xrotor
Version:        7.55
Release:        6%{?dist}
Summary:        Design and analysis tools for propellers and windmills

# Plotlib is LGPLv2+, the rest is GPLv2+
License:        GPLv2+ and LGPLv2+
URL:            http://web.mit.edu/drela/Public/web/xrotor/
Source0:        http://web.mit.edu/drela/Public/web/xrotor/Xrotor%{version}.tar.tgz
# The package does not ship a license file
Source1:        LICENSE.GPL
Source2:        LICENSE.LGPL
# Makefile variables and flags
Patch0:         Xrotor7.55-makefile.patch

BuildRequires:  gcc-gfortran libX11-devel
Requires:       xorg-x11-fonts-misc


%description
XROTOR is an interactive program for the design and analysis of propellers
and windmills. It includes
 1. Design of minimum induced loss rotor (propeller or windmill)
 2. Prompted input of an arbitrary rotor geometry
 3. Interactive modification of a rotor geometry
and many others.


%prep
%setup -q -n Xrotor
%patch0 -p1
cp %{SOURCE1} .
cp %{SOURCE2} .


%build
export FFLAGS="%{optflags}"
export CFLAGS="%{optflags}"

make %{?_smp_mflags} -C plotlib
make %{?_smp_mflags} -C bin


%install
%make_install -C bin BINDIR=%{_bindir}


%files
%doc LICENSE.GPL LICENSE.LGPL version_notes.txt xrotor_doc.txt
%{_bindir}/xrotor
%{_bindir}/jplot
%{_bindir}/jplote


%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.55-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.55-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Jan 25 2014 Sandro Mani <manisandro@gmail.com> - 7.55-4
- Build without -fdefault-real-8

* Fri Sep 13 2013 Sandro Mani <manisandro@gmail.com> - 7.55-3
- Fix license

* Thu Sep 12 2013 Sandro Mani <manisandro@gmail.com> - 7.55-2
- Add license file

* Thu Sep 12 2013 Sandro Mani <manisandro@gmail.com> - 7.55-1
- Initial package for review
